﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace XamGridFilterTemplateColumn
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            var liste = new List<Personne>
                            {
                                new Personne
                                    {
                                        Age = "2",
                                        Nom = "Jean",
                                        Prenom = "Mouloud",
                                        NomRue = "A la halle",
                                        Numero = "6",
                                        TypeVoie = "Avenue"
                                    },
                                    new Personne
                                    {
                                        Age = "3",
                                        Nom = "Jean2",
                                        Prenom = "Mouloud2",
                                        NomRue = "A la halle",
                                        Numero = "65",
                                        TypeVoie = "Boulevard"
                                    },
                                    new Personne
                                    {
                                        Age = "4",
                                        Nom = "Jean3",
                                        Prenom = "Mouloud3",
                                        NomRue = "A la halle",
                                        Numero = "78",
                                        TypeVoie = "Avenue"
                                    }
                            };

            this.xamGrid.ItemsSource = liste;
        }

        private void itemsBox_Loaded(object sender, RoutedEventArgs e)
        {
            ListBox lb = (ListBox)sender;

            string name = lb.Tag as string;

            if (name == "Nom")
                lb.ItemTemplate = (DataTemplate)this.xamGrid.Resources["CoteFilter"];
            else
                lb.ItemTemplate = (DataTemplate)this.xamGrid.Resources["NormalFilter"];
        }
    }
}
